% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tolower-functions.R
\name{dfm_tolower}
\alias{dfm_tolower}
\alias{dfm_toupper}
\alias{fcm_tolower}
\alias{fcm_toupper}
\title{convert the case of the features of a dfm and combine}
\usage{
dfm_tolower(x, keep_acronyms = FALSE, ...)

dfm_toupper(x, ...)

fcm_tolower(x, keep_acronyms = FALSE, ...)

fcm_toupper(x, ...)
}
\arguments{
\item{x}{the input object whose character/tokens/feature elements will be 
case-converted}

\item{keep_acronyms}{logical; if \code{TRUE}, do not lowercase any 
all-uppercase words (applies only to \code{*_tolower} functions)}

\item{...}{additional arguments passed to \pkg{stringi} functions, (e.g. 
\code{\link{stri_trans_tolower}}), such as \code{locale}}
}
\description{
\code{dfm_tolower} and \code{dfm_toupper} convert the features of the dfm or
fcm to lower and upper case, respectively, and then recombine the counts.
}
\details{
\code{fcm_tolower} and \code{fcm_toupper} convert both dimensions of
  the \link{fcm} to lower and upper case, respectively, and then recombine
  the counts. This works only on fcm objects created with \code{context = 
  "document"}.
}
\examples{
# for a document-feature matrix
mydfm <- dfm(c("b A A", "C C a b B"), 
             toLower = FALSE, verbose = FALSE)
mydfm
dfm_tolower(mydfm) 
dfm_toupper(mydfm)
   
# for a feature co-occurrence matrix
myfcm <- fcm(tokens(c("b A A d", "C C a b B e")), 
             context = "document")
myfcm
fcm_tolower(myfcm) 
fcm_toupper(myfcm)   
}
